Bug 177192 - [PATCH] net/wireshark: convert to options ng
[PATCH] net/wireshark: convert to options ng
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Joe Marcus Clarke
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-21 13:10 UTC by william88
Modified: 2013-03-24 20:40 UTC (History)
0 users

See Also:


Attachments
wireshark.patch (4.29 KB, patch)
2013-03-21 13:10 UTC, william88
no flags Details | Diff
wireshark.patch (4.30 KB, patch)
2013-03-21 13:24 UTC, william88
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description william88 2013-03-21 13:10:01 UTC
	Convert to new options framework
	Trim makefile header

Fix: See attached patch
Comment 1 Edwin Groothuis freebsd_committer 2013-03-21 13:10:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->marcus

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 william88 2013-03-21 13:24:47 UTC
Updated patch to set X11 by default

--
William Grzybowski
------------------------------------------
Agência Livre - www.agencialivre.com.br
Curitiba/PR - Brasil
Comment 3 dfilter freebsd_committer 2013-03-24 15:52:30 UTC
Author: marcus
Date: Sun Mar 24 15:52:21 2013
New Revision: 315131
URL: http://svnweb.freebsd.org/changeset/ports/315131

Log:
  Convert to OPTIONSNG and modernize the header.
  
  PR:		177192
  Submitted by:	William Grzybowski <william88@gmail.com>

Modified:
  head/net/wireshark/Makefile

Modified: head/net/wireshark/Makefile
==============================================================================
--- head/net/wireshark/Makefile	Sun Mar 24 15:51:03 2013	(r315130)
+++ head/net/wireshark/Makefile	Sun Mar 24 15:52:21 2013	(r315131)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:   ethereal
-# Date created:        10 August 1998
-# Whom:                Bill Fumerola <billf@chc-chimes.com>
-#
+# Created by: Bill Fumerola <billf@chc-chimes.com>
 # $FreeBSD$
-#
 
 PORTNAME?=	wireshark
 PORTVERSION=	1.8.6
@@ -16,7 +12,6 @@ MASTER_SITES=	http://www.wireshark.org/d
 		http://ftp.yz.yamagata-u.ac.jp/pub/network/security/wireshark/src/ \
 		ftp://ftp.yz.yamagata-u.ac.jp/pub/network/security/wireshark/src/ \
 		http://wireshark.zing.org/download/src/
-DISTNAME=	${DATADIR_NAME}-${PORTVERSION}
 
 MAINTAINER=	marcus@FreeBSD.org
 COMMENT?=	A powerful network analyzer/capture tool
@@ -56,25 +51,23 @@ MAN1+=			$x.1
 .endif
 .endfor
 
-.if !defined(WITHOUT_X11)
-USE_XORG=	x11
+.if !defined(LITE)
+OPTIONS_DEFINE=		RTP SNMP ADNS PCRE IPV6 GEOIP LUA CARES GSSAPI
+OPTIONS_DEFAULT=	SNMP ADNS PCRE IPV6 GEOIP GSSAPI
+
+RTP_DESC=		Enable support for playing back RTP streams
+ADNS_DESC=		Enable asynchronous DNS lookup support
 .endif
 
-.if !defined(LITE)
-OPTIONS=	RTP "Enable support for playing back RTP streams" off \
-		SNMP "Enable SNMP OID translation support" on \
-		ADNS "Enable asynchronous DNS lookup support" on \
-		PCRE "Enable regular expression matching support" on \
-		IPV6 "Enable IPv6 support" on \
-		GEOIP "Enable GeoIP lookups" on \
-		LUA "Enable LUA scripting integration" off \
-		CARES "Asynchronous DNS resolution via c-ares" off \
-		GSSAPI "Enable Kerberos support" on
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MX11}
+USE_XORG=		x11
 .endif
 
 .include <bsd.port.pre.mk>
 
-.if !defined(WITHOUT_X11)
+.if ${PORT_OPTIONS:MX11}
 MAN1+=		wireshark.1
 PLIST_SUB+=	WIRESHARK=bin/wireshark
 USE_GNOME+=	gtk20
@@ -90,25 +83,25 @@ GNU_CONFIGURE=	yes
 LIBTOOLFILES=	configure wiretap/configure
 PLIST_SUB+=	PORTVERSION=${PORTVERSION}
 
-.if !defined(WITHOUT_IPV6)
+.if ${PORT_OPTIONS:MIPV6}
 CONFIGURE_ARGS+=	--enable-ipv6=yes
 .else
 CONFIGURE_ARGS+=	--enable-ipv6=no
 .endif
 
 # XXX - untested
-.if defined(WITH_THREADS)
+.if ${PORT_OPTIONS:MTHREADS}
 CONFIGURE_ARGS+=	--enable-threads
 .endif
 
-.if !defined(WITHOUT_PCRE) && !defined(LITE)
+.if ${PORT_OPTIONS:MPCRE} && !defined(LITE)
 LIB_DEPENDS+=	pcre:${PORTSDIR}/devel/pcre
 CONFIGURE_ARGS+=	--with-pcre=${LOCALBASE}/lib
 .else
 CONFIGURE_ARGS+=	--with-pcre=no
 .endif
 
-.if defined(WITH_LUA) && !defined(LITE)
+.if ${PORT_OPTIONS:MLUA} && !defined(LITE)
 USE_LUA=	5.1
 CONFIGURE_ARGS+=--with-lua=${LUA_PREFIX}
 PLIST_SUB+=	LUA=""
@@ -117,7 +110,7 @@ CONFIGURE_ARGS+=--without-lua
 PLIST_SUB+=	LUA="@comment "
 .endif
 
-.if defined(WITH_RTP) && !defined(LITE)
+.if ${PORT_OPTIONS:MRTP} && !defined(LITE)
 LIB_DEPENDS+=	portaudio:${PORTSDIR}/audio/portaudio
 CONFIGURE_ARGS+=--with-portaudio=${LOCALBASE}
 WIRESHARK_LIBS+=${PTHREAD_LIBS}
@@ -125,35 +118,35 @@ WIRESHARK_LIBS+=${PTHREAD_LIBS}
 CONFIGURE_ARGS+=--without-portaudio
 .endif
 
-.if !defined(WITHOUT_SNMP) && !defined(LITE)
+.if ${PORT_OPTIONS:MSNMP} && !defined(LITE)
 LIB_DEPENDS+=		smi:${PORTSDIR}/net-mgmt/libsmi
 CONFIGURE_ARGS+=	--with-libsmi=${LOCALBASE}
 .else
 CONFIGURE_ARGS+=	--with-libsmi=no
 .endif
 
-.if !defined(WITHOUT_ADNS) && !defined(LITE)
+.if ${PORT_OPTIONS:MADNS}) && !defined(LITE)
 LIB_DEPENDS+=	adns:${PORTSDIR}/dns/adns
 CONFIGURE_ARGS+=	--with-adns=${LOCALBASE}/lib
 .else
 CONFIGURE_ARGS+=	--with-adns=no
 .endif
 
-.if !defined(WITHOUT_CARES) && !defined(LITE)
+.if ${PORT_OPTIONS:MCARES} && !defined(LITE)
 LIB_DEPENDS+=		cares:${PORTSDIR}/dns/c-ares
 CONFIGURE_ARGS+=	--with-c-ares=${LOCALBASE}/lib
 .else
 CONFIGURE_ARGS+=	--with-c-ares=no
 .endif
 
-.if !defined(WITHOUT_GEOIP) && !defined(LITE)
+.if ${PORT_OPTIONS:MGEOIP} && !defined(LITE)
 LIB_DEPENDS+=	GeoIP:${PORTSDIR}/net/GeoIP
 CONFIGURE_ARGS+=	--with-geoip=${LOCALBASE}/lib
 .else
 CONFIGURE_ARGS+=	--with-geoip=no
 .endif
 
-.if !defined(WITHOUT_GNUTLS)
+.if ${PORT_OPTIONS:MGNUTLS}
 LIB_DEPENDS+=	gnutls:${PORTSDIR}/security/gnutls \
 		gcrypt:${PORTSDIR}/security/libgcrypt
 CONFIGURE_ARGS+=--with-libgcrypt-prefix=${LOCALBASE} \
@@ -162,12 +155,12 @@ CONFIGURE_ARGS+=--with-libgcrypt-prefix=
 CONFIGURE_ARGS+=--with-gnutls=no
 .endif
 
-.if !defined(WITHOUT_LIBGCRYPT)
+.if ${PORT_OPTIONS:MGCRYPT}
 LIB_DEPENDS+=	gcrypt:${PORTSDIR}/security/libgcrypt
 CONFIGURE_ARGS+=--with-libgcrypt-prefix=${LOCALBASE}
 .endif
 
-.if defined(WITHOUT_GSSAPI)
+.if ! ${PORT_OPTIONS:MGSSAPI}
 CONFIGURE_ARGS+=--with-krb5=no
 .endif
 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Joe Marcus Clarke freebsd_committer 2013-03-24 20:40:05 UTC
State Changed
From-To: open->closed

Committed, thanks!